# List app identity logs

`GET /apis/cra.diagrid.io/v1beta1/projects/{ProjectId}/appids/{ProjectSubresourceId}/logs`

List logs for an app identity.

## Request

### Path parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `ProjectId` | string | Yes | Unique identifier of the project. |
| `ProjectSubresourceId` | string | Yes | Unique identifier of the project subresource. |

### Query parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `limit` | number | No | — |
| `page` | string | No | — |
| `type` | string | No | — |

## Responses

### 200 — The list of app identity logs.

`application/json`

- `result` (object[])
  - `extra` (object)
  - `app_id` (string)
  - `error_message` (string)
  - `execution_time` (string)
  - `level` (string)
  - `method` (string)
  - `msg` (string)
  - `protocol` (string)
  - `record_ts` (string)
  - `status` (string)
  - `start_time` (string)
  - `time` (string)
  - `type` (string)
  - `uid` (string)
  - `component_kind` (string)
  - `component_type` (string)
  - `component_name` (string)
  - `source_appid` (string)
  - `target_appid` (string)
  - `trace_id` (string)
  - `span_id` (string)
  - `stream_event` (string)
  - `stream_client` (string)
  - `stream_server` (string)
- `next` (string)

### default — Unexpected error.

`application/json`

In the case of an error, a standard format error response body will be returned and the HTTP status code will be set to an error status. The response contains an object with a single error object.

- `code` (string) — Required. This is the same as the HTTP status of the response.
- `message` (string) — Required. A short description of the error.
- `status` (object) — Required. A status code that indicates the error type.
- `details` (object) — Additional details about the errors.
  - `@type` (string) — The type of error.
  - `reason` (string) — A reason for the error.
  - `domain` (string) — The domain in which the error occurred.
  - `metadata` (object) — Additional metadata about the error.

`application/vnd.api+json`

JSONAPI.org specification error response wrapper for UI.

- `error` (object) — In the case of an error, a standard format error response body will be returned and the HTTP status code will be set to an error status. The response contains an object with a single error object.
  - `code` (string) — Required. This is the same as the HTTP status of the response.
  - `message` (string) — Required. A short description of the error.
  - `status` (object) — Required. A status code that indicates the error type.
  - `details` (object) — Additional details about the errors.
    - `@type` (string) — The type of error.
    - `reason` (string) — A reason for the error.
    - `domain` (string) — The domain in which the error occurred.
    - `metadata` (object) — Additional metadata about the error.
- `meta` (object<string, object>) — Link members related to the primary data.
  - One of:
    - **string (uri-reference)** — A string containing the link's URL.
    - **object**
      - `href` (string (uri-reference)) — Required. A string containing the link's URL.
      - `meta` (object) — Non-standard meta-information that can not be represented as an attribute or relationship.
- `links` (object) — Non-standard meta-information that can not be represented as an attribute or relationship.
